Package org.eclipse.graphiti.ui.internal.parts

# Class DiagramEditPart

java.lang.Object
org.eclipse.gef.editparts.AbstractEditPart
org.eclipse.gef.editparts.AbstractGraphicalEditPart
org.eclipse.graphiti.ui.platform.GraphitiShapeEditPart
org.eclipse.graphiti.ui.internal.parts.ShapeEditPart
org.eclipse.graphiti.ui.internal.parts.ContainerShapeEditPart
org.eclipse.graphiti.ui.internal.parts.DiagramEditPart

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.gef.EditPart`, `org.eclipse.gef.GraphicalEditPart`, `org.eclipse.gef.NodeEditPart`, `org.eclipse.gef.RequestConstants`, `IFeatureProviderHolder`, `IConfigurationProviderHolder`, `IAnchorContainerEditPart`, `IContainerShapeEditPart`, `IDiagramEditPart`, `IPictogramElementEditPart`, `IShapeEditPart`

public class DiagramEditPart extends ContainerShapeEditPart implements IDiagramEditPart
A GraphicalEditPart, which model is of the type Diagram.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart, org.eclipse.gef.editparts.AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

## Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart

`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

## Field Summary

### Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`figure, sourceConnections, targetConnections`

### Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart

`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

### Fields inherited from interface org.eclipse.gef.EditPart

`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

## Constructor Summary

Constructors
Constructor
Description
`DiagramEditPart(IConfigurationProviderInternal configurationProvider, Diagram diagram)`
Creates a new DiagramEditPart.

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.draw2d.IFigure`
`createFigure()`
Creates the Figure of this editpart.
`org.eclipse.gef.DragTracker`
`getDragTracker(org.eclipse.gef.Request request)`
Returns the DragTracker for this EditPart.
`List<PictogramElement>`
`getModelChildren()`
Returns the children of this EditPart.
`org.eclipse.draw2d.ConnectionAnchor`
`getSourceConnectionAnchor(org.eclipse.gef.Request request)`
Returns the ConnectionAnchor, which is to be displayed at the source-side when creating a new connection.
`void`
`refresh()`

### Methods inherited from class org.eclipse.graphiti.ui.internal.parts.ContainerShapeEditPart

`addChildVisual, createEditPolicies, getAdapter, getContentPane`

### Methods inherited from class org.eclipse.graphiti.ui.internal.parts.ShapeEditPart

`activate, deactivate, delayDirectEditing, deleteChildAndRefresh, getConfigurationProvider, getFeatureProvider, getModelSourceConnections, getModelTargetConnections, getPictogramElement, getPictogramElementDelegate, getRoot, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor, getTargetEditPart, isSelectable, performRequest, refreshChildren, refreshDecorators, refreshVisuals, showSourceFeedback, switchToDirectEditingMode, toString`

### Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addNodeListener, addNotify, addSourceConnection, addTargetConnection, createConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getChildren, getFigure, getLayer, getSourceConnections, getTargetConnections, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeNotify, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

### Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addChild, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getAccessibleEditPart, getCommand, getEditPolicy, getEditPolicyIterable, getEditPolicyIterator, getEventListeners, getEventListenersIterable, getFlag, getModel, getParent, getSelected, getViewer, hasFocus, installEditPolicy, isActive, register, registerAccessibility, registerModel, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setModel, setParent, setSelected, showTargetFeedback, understandsRequest, unregister, unregisterAccessibility, unregisterModel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.EditPart

`addEditPartListener, addNotify, eraseSourceFeedback, eraseTargetFeedback, getCommand, getEditPolicy, getModel, getParent, getSelected, getViewer, hasFocus, installEditPolicy, isActive, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showTargetFeedback, understandsRequest`

### Methods inherited from interface org.eclipse.gef.GraphicalEditPart

`addNodeListener, getChildren, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IAnchorContainerEditPart

`refreshDecorators`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.config.IConfigurationProviderHolder

`getConfigurationProvider`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IPictogramElementEditPart

`getModelSourceConnections, getModelTargetConnections, getPictogramElement, getPictogramElementDelegate`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IShapeEditPart

`deleteChildAndRefresh`

## Constructor Details

### DiagramEditPart

public DiagramEditPart(IConfigurationProviderInternal configurationProvider, Diagram diagram)
Creates a new DiagramEditPart.

Parameters:
  `configurationProvider` - the configuration provider
  `diagram` - the diagram

## Method Details

### createFigure

protected org.eclipse.draw2d.IFigure createFigure()
Creates the Figure of this editpart. This determines how the editpart will be displayed. The actual data for this figure should be provided in refreshVisuals().

Overrides:
  `createFigure` in class `ContainerShapeEditPart`
Returns:
  the i figure
See Also:
  - `AbstractGraphicalEditPart.createFigure()`

### getDragTracker

public org.eclipse.gef.DragTracker getDragTracker(org.eclipse.gef.Request request)
Returns the DragTracker for this EditPart. By default an EditPart allows supports moving EditParts on drag&drop. However, an EditPart with children shall use another DragTracker, which supports selecting EditParts like the MarqueSelectionTool, but only, if the content-pane is selected.

Specified by:
  `getDragTracker` in interface `org.eclipse.gef.EditPart`
Overrides:
  `getDragTracker` in class `ShapeEditPart`
Parameters:
  `request` - the request
Returns:
  the drag tracker
See Also:
  - `EditPart.getDragTracker(org.eclipse.gef.Request)`

### getModelChildren

public List<PictogramElement> getModelChildren()
Description copied from class: `ContainerShapeEditPart`
Returns the children of this EditPart.

Specified by:
  `getModelChildren` in interface `IPictogramElementEditPart`
Overrides:
  `getModelChildren` in class `ContainerShapeEditPart`
Returns:
  the model children
See Also:
  - `AbstractEditPart.getModelChildren()`

### refresh

public void refresh()

Specified by:
  `refresh` in interface `org.eclipse.gef.EditPart`
Overrides:
  `refresh` in class `ShapeEditPart`

### getSourceConnectionAnchor

public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchor(org.eclipse.gef.Request request)
Description copied from class: `ShapeEditPart`
Returns the ConnectionAnchor, which is to be displayed at the source-side when creating a new connection. By default it returns a new ChopboxAnchor if the source-side is already connected to a ConnectionEditPart, and it returns null if the source-side is still dragging and not yet connected to a ConnectionEditPart. If the ConnectionAnchor is null, this means that the line always ends directly at the mouse-pointer.

Specified by:
  `getSourceConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`
Overrides:
  `getSourceConnectionAnchor` in class `ShapeEditPart`
Parameters:
  `request` - the request
Returns:
  the source connection anchor
See Also:
  - `NodeEditPart.getSourceConnectionAnchor(Request)`